{% extends '::base.html.twig'%}
{% block body %}
<div class="row">
  <div class="col-sm-12">
    {% if is_granted('ROLE_ADMIN')%}<a class="btn btn-primary" href="{{path('admin_add_caissier')}}">Ajouter un caissier</a>
    <a class="btn btn-primary" href="{{path('admin_upload_caissier')}}">Upload les caissiers</a>{% endif %}
  </div>
</div>
<h2>Liste des caissiers</h2>
<table id="datatable" class="table table-striped table-bordered">
  <thead>
    <tr>
      <th>Nom & prenoms</th>
      <th>Telephone</th>
      <th>Email</th>
      <th>Matricule</th>
      <th>Compte</th>
      <th>Agence</th>
      <th>Pass provisoire</th>
      <th>Action</th>
    </tr>
  </thead>


  <tbody>
    {% for c in caissiers %}
    <tr>
      <td>{{c.nom}}</td>
      <td>{{c.telephone}}</td>
      <td>{{c.email}}</td>
      <td>{{c.matricule}}</td>
      <td>{{c.numeroCompte}}</td>
      <td>{{c.agence}}</td>
      <td>{{c.pwdProvisoire}}</td>
      <td>
        {% if is_granted('ROLE_ADMIN')%}
        <a href="{{path('admin_edit_caissier', {'id':c.id})}}" class="btn btn-info btn-xs"><i class="fa fa-pencil"></i> Modifier </a>
        <a href="{{path('admin_delete_caissier', {'id':c.id})}}" class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i> Supprimer </a>
        {% endif %}
      </td>
    </tr>
    {% endfor %}

  </tbody>
</table>
{% endblock %}
